import { PermissionFlagsBits, SlashCommandBuilder } from 'discord.js';
import { Command } from '.';
import UserI from '../types/UserI';

// const adminPermissions = new PermissionsBitField('Administrator');

export default {
  data: new SlashCommandBuilder()
    .setName('throw_chat_connections')
    .setDescription('throw chat connections')
    .setDefaultMemberPermissions(PermissionFlagsBits.Administrator),
  async execute(interaction) {

    await interaction.deferReply({ ephemeral: true })

    try {
      global.config.users = new Map<string, UserI>()

      await interaction.followUp("Связи аккаунтов удалены")
      return
    } catch (error) {
      await interaction.editReply("Ошибка удаления связей аккаунтов")
      console.log(error)
    }
  },
} as Command
